default:
  image: nixpkgs/nix-flakes

before_script:
  - mkdir -p /etc/nix
  - echo "experimental-features = nix-command flakes ca-references" >> /etc/nix/nix.conf

stages:
  - build

build:
  stage: build
  needs: []
  script:
    - nix -L build ".#packages.x86_64-linux.ing2-rapport-stage"
    - cp result/share/ing2-rapport-stage.pdf ing2-rapport-stage.pdf
    - cp result/share/ing2-stage-abstract.pdf ing2-stage-abstract.pdf
  artifacts:
    when: on_success
    expose_as: "Rapport de stage ING2"
    paths:
      - ing2-rapport-stage.pdf
      - ing2-stage-abstract.pdf
